//
//  SBSDKUIMachineCodeScannerBehaviorConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIMachineCodeScannerBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let successBeepEnabled = dictionary["successBeepEnabled"] as? Bool {
            self.isSuccessBeepEnabled = successBeepEnabled
        }
        
        if let value = dictionary["barcodeImageGenerationType"] as? String {
            let barcodeImageGenerationType = SBSDKBarcodeImageGenerationType(from: value)
            self.barcodeImageGenerationType = barcodeImageGenerationType
        }
    }
}
