//
//  SBSDKUIMachineCodeScannerConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIMachineCodeScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIMachineCodeScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIMachineCodeScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIMachineCodeScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}
